<?php

require_once "function.inc.php";

/** @var nc_input $input */
$input = nc_core('input');

$payment_system_class = $input->fetch_post('paySystem');

$netshop = nc_netshop::get_instance();
if ($netshop) {
    nc_core('event')->bind($netshop, array(
        nc_payment_system::EVENT_ON_PAY_SUCCESS => 'on_payment_success_event_handler',
        nc_payment_system::EVENT_ON_PAY_FAILURE => 'on_payment_failure_event_handler',
    ));
}

// for debugging: //welpis
// $wrdata=date("d.m.Y H:i:s")." -> paySystem:[$payment_system_class]\nPOST:".print_r($_POST,1)."\nGET:".print_r($_GET,1)."\n\n";
// file_put_contents("securepay2.log",$wrdata, FILE_APPEND);

$payment = nc_payment_factory::create($payment_system_class);
$payment->process_callback_response($input->fetch_get_post());
